# linux-yocto v6.1 patches for enablement of Xilinx xrt, dfx-mgr, and kv260-smartcam platform

# Patches generated while checked out on the "xlnx_rebase_v6.1_LTS_2023.1_update" branch of linux-xlnx, using this git command:
# git format-patch <linux-yocto remote name>/v6.1/standard/qemuarm64 -- drivers/clk/xilinx/ drivers/dma/ drivers/firmware/xilinx/ drivers/fpga/ drivers/media/i2c/ drivers/media/platform/xilinx/ drivers/soc/xilinx/ drivers/staging/ include/dt-bindings/media/xilinx-vip.h include/linux/dma/xilinx_frmbuf.h include/linux/firmware/xlnx-zynqmp.h include/linux/fpga/fpga-mgr.h include/linux/mfd/syscon/xlnx-vcu.h include/linux/xlnx-ai-engine.h include/uapi/drm/drm_fourcc.h include/uapi/linux/media-bus-format.h include/uapi/linux/videodev2.h include/uapi/linux/xilinx-v4l2-controls.h include/uapi/linux/xlnx-ai-engine.h sound/soc/xilinx/

# Patches authored jakob.castro@amd.com are new commits (not originating from linux-xlnx) created to resolve upstream compatibility and other driver issues.

# Also manually added "Upstream-Status: Pending" line to the beginning of every patch file to resolve a build error, using this shell command:
# for file in *.patch; do sed -i '1iUpstream-Status: Pending' "$file"; done


FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"


SRC_URI += "file://0001-firmware-xilinx-Add-qspi-firmware-interface.patch"
SRC_URI += "file://0002-firmware-xilinx-add-support-for-Versal-NET.patch"
SRC_URI += "file://0003-firmware-xilinx-Add-shutdown-wakeup-APIs.patch"
SRC_URI += "file://0004-firmware-xilinx-Add-ZynqMP-firmware-ioctl-enums-for-.patch"
SRC_URI += "file://0005-firmware-xilinx-provides-support-to-access-efuse.patch"
SRC_URI += "file://0006-firmware-xilinx-Added-pm-api-functions-for-RSA-and-S.patch"
SRC_URI += "file://0007-firmware-xilinx-Adds-new-eemi-call-for-reg-access.patch"
SRC_URI += "file://0008-firmware-xilinx-Add-missing-debug-firmware-interface.patch"
SRC_URI += "file://0009-firmware-xilinx-Add-pm-api-function-for-PL-readback.patch"
SRC_URI += "file://0010-firmware-xilinx-Open-MMIO-read-write-interface-via-d.patch"
SRC_URI += "file://0011-firmware-xilinx-Add-AFI-ioctl-support.patch"
SRC_URI += "file://0012-firmware-xilinx-Add-ULPI-reset-support.patch"
SRC_URI += "file://0013-firmware-xilinx-Add-zynqmp-SGMII-firmware-support.patch"
SRC_URI += "file://0014-firmware-xilinx-xilinx-Add-IOCTL-ids-for-probe-count.patch"
SRC_URI += "file://0015-firmware-xilinx-Add-IOCTL-for-handling-usb-power-req.patch"
SRC_URI += "file://0016-firmware-xilinx-Use-u32-for-reset-ID-in-reset-APIs.patch"
SRC_URI += "file://0017-firmware-xilinx-Add-support-for-GET_LAST_RESET_REASO.patch"
SRC_URI += "file://0018-xilinx-firmware-Add-sysfs-to-get-last-reset-reason.patch"
SRC_URI += "file://0019-firmware-xilinx-Add-support-to-get-the-image-uid-inf.patch"
SRC_URI += "file://0020-firmware-xilinx-Add-support-to-access-BBRAM-and-vola.patch"
SRC_URI += "file://0021-firmware-xilinx-Update-firmware-call-interface-to-su.patch"
SRC_URI += "file://0022-firmware-xilinx-Add-support-for-secure-read-write-io.patch"
SRC_URI += "file://0023-firmware-xilinx-add-support-for-sd-usb-gem-config.patch"
SRC_URI += "file://0024-firmware-xilinx-Add-support-to-get-the-image-meta-he.patch"
SRC_URI += "file://0025-firmware-xilinx-Add-IOCTL-support-for-the-AIE-run-ti.patch"
SRC_URI += "file://0026-firmware-xilinx-Implemented-pm-API-functions-to-get-.patch"
SRC_URI += "file://0027-firmware-xilinx-Add-IOCTL-support-to-query-QoS.patch"
SRC_URI += "file://0028-firmware-zynqmp-Add-support-for-secure_image.patch"
SRC_URI += "file://0029-firmware-xilinx-Add-support-for-IOCTL-and-QUERY-ID-f.patch"
SRC_URI += "file://0030-firmware-xilinx-Use-proper-indentation-in-kernel-doc.patch"
SRC_URI += "file://0031-zynqmp-firmware-Adds-a-driver-for-loading-secure-par.patch"
SRC_URI += "file://0032-firmware-xilinx-Move-FIRMWARE_VERSION_MASK-to-xlnx-z.patch"
SRC_URI += "file://0033-drivers-soc-xilinx-Fix-error-message-on-SGI-registra.patch"
SRC_URI += "file://0034-staging-fclk-Enable-pl-clock-with-sysfs-entry-for-se.patch"
SRC_URI += "file://0035-staging-Add-xroeframer-driver.patch"
SRC_URI += "file://0036-staging-xroetrafficgen-initial-commit-of-roe-traffic.patch"
SRC_URI += "file://0037-staging-xlnxsync-Add-driver-for-Xilinx-Synchronizer.patch"
SRC_URI += "file://0038-staging-xlnx_tsmux-Initial-version-of-xlnx-mpeg2tsmu.patch"
SRC_URI += "file://0039-staging-uartlite-rs485-Initial-commit-to-add-drv.patch"
SRC_URI += "file://0040-staging-xlnx_hdcp1x-Add-HDCP1X-cipher-functionality-.patch"
SRC_URI += "file://0041-misc-ai-engine-Move-AI-engine-reg-access-to-kernel.patch"
SRC_URI += "file://0042-soc-xilinx-vcu-Export-functions-to-obtain-logicore-s.patch"
SRC_URI += "file://0043-clk-xilinx-vcu-Update-vcu-init-reset-sequence.patch"
SRC_URI += "file://0044-clk-xilinx-vcu-disable-aclk-incase-of-probe-failure.patch"
SRC_URI += "file://0045-clk-xilinx-vcu-Populate-children-node.patch"
SRC_URI += "file://0046-clk-xilinx-vcu-don-t-set-pll_ref-as-parent-of-VCU-en.patch"
SRC_URI += "file://0047-clocking-wizard-Support-higher-frequency-accuracy.patch"
SRC_URI += "file://0048-clk-clk-xlnx-clock-wizard-fix-64bit-division-on-32bi.patch"
SRC_URI += "file://0049-crypto-xilinx-Changes-to-make-SHA3-driver-self-disco.patch"
SRC_URI += "file://0050-soc-xilinx-Fix-for-call-trace-due-to-the-usage-of-sm.patch"
SRC_URI += "file://0051-soc-xilinx-fix-unhandled-SGI-warning-message.patch"
SRC_URI += "file://0052-xilinx-Fix-alignment-issues.patch"
SRC_URI += "file://0053-firmware-xilinx-Remove-kernel-doc-marking-instead-of.patch"
SRC_URI += "file://0054-fpga-Add-firmware-store-function.patch"
SRC_URI += "file://0055-fpga-mgr-Adopted-Encrypted-BitStream-loading-support.patch"
SRC_URI += "file://0056-fpga-fpga-mgr-Add-readback-support.patch"
SRC_URI += "file://0057-fpga-zynqmp-fpga-Add-support-for-pl-configuration-re.patch"
SRC_URI += "file://0058-fpga-mgr-Update-the-status-for-fpga-manager.patch"
SRC_URI += "file://0059-fpga-zynqmp-fpga-Adds-status-interface.patch"
SRC_URI += "file://0060-fpga-Adopted-Authenticated-BitStream-loading-support.patch"
SRC_URI += "file://0061-fpga-Add-xilinx-AFI-config-driver.patch"
SRC_URI += "file://0062-fpga-zynq-Add-AFI-config-driver.patch"
SRC_URI += "file://0063-fpga-fpga-bridge-Add-manual-set-option-via-sysfs.patch"
SRC_URI += "file://0064-fpga-support-loading-from-a-pre-allocated-buffer.patch"
SRC_URI += "file://0065-fpga-mgr-Adds-secure-BitStream-loading-support.patch"
SRC_URI += "file://0066-fpga-versal-Use-the-scatterlist-interface.patch"
SRC_URI += "file://0067-fpga-zynqmp-Use-the-scatterlist-interface.patch"
SRC_URI += "file://0068-fpga-zynq-Fix-incorrect-variable-type.patch"
SRC_URI += "file://0069-fpga-zynqmp-Initialized-variables-before-using-it.patch"
SRC_URI += "file://0070-fpga-region-Adds-runtime-PM-support.patch"
SRC_URI += "file://0071-fpga-mgr-Update-the-state-to-provide-the-exact-error.patch"
SRC_URI += "file://0072-fpga-fpga-mgr-Add-missing-kernel-doc-description.patch"
SRC_URI += "file://0073-firmware-xilinx-Update-the-zynqmp_pm_fpga_load-API.patch"
SRC_URI += "file://0074-fpga-zynqmp-Add-feature-list-validation-check.patch"
SRC_URI += "file://0075-fpga-region-Update-runtime-PM-handling-logic.patch"
SRC_URI += "file://0076-fpga-select-FPGA_BRIDGE-for-Xilinx-LogiCORE-PR-Decou.patch"
SRC_URI += "file://0077-fpga-zynq-fpga-Ensure-proper-xCAP-interface-switch.patch"
SRC_URI += "file://0078-fpga-Add-ps-pl-reset-handling-through-xilinx-afi-dri.patch"
SRC_URI += "file://0079-fpga-zynqmp-Make-word-align-the-configuration-data.patch"
SRC_URI += "file://0080-drm-drm_fourcc-Add-new-formats-for-Xilinx-IPs.patch"
SRC_URI += "file://0081-drm-fourcc-Add-new-formats-needed-by-Xilinx-IP.patch"
SRC_URI += "file://0082-uapi-drm-Add-AVUY-fourcc.patch"
SRC_URI += "file://0083-uapi-media-New-fourcc-codes-needed-by-Xilinx-Video-I.patch"
SRC_URI += "file://0084-v4l-xilinx-Kconfig-Add-missing-DMADEVICES-dependenci.patch"
SRC_URI += "file://0085-media-xilinx-Ensure-Video-Framebuffer-selected-by-Kc.patch"
SRC_URI += "file://0086-v4l-xilinx-Add-Video-Remapper-driver.patch"
SRC_URI += "file://0087-media-xilinx-Add-Color-Filter-Array-CFA-driver.patch"
SRC_URI += "file://0088-media-xilinx-Add-Chroma-Resampler-CRESAMPLE-driver.patch"
SRC_URI += "file://0089-media-xilinx-Add-RGB-to-YUV-RGB2YUV-driver.patch"
SRC_URI += "file://0090-media-xilinx-Add-Scaler-driver-SCALER-driver.patch"
SRC_URI += "file://0091-media-xilinx-Add-AXI4-stream-switch-driver.patch"
SRC_URI += "file://0092-media-xilinx-Add-HLS-core-driver.patch"
SRC_URI += "file://0093-media-xilinx-Integrate-TPG-v7-support.patch"
SRC_URI += "file://0094-media-xilinx-tpg-Block-comments.patch"
SRC_URI += "file://0095-media-xilinx-Refactor-VTC-configuration-code.patch"
SRC_URI += "file://0096-media-xilinx-vip-Add-the-pixel-format-for-RGB24.patch"
SRC_URI += "file://0097-v4l-xilinx-dma-Terminate-DMA-when-stream-on-fails.patch"
SRC_URI += "file://0098-dmaengine-xilinx_frmbuf-New-driver-for-Video-Framebu.patch"
SRC_URI += "file://0099-dma-xilinx-Support-early-callback-modes.patch"
SRC_URI += "file://0100-dmaengine-xilinx-frmbuf-Add-support-for-3-planar-YUV.patch"
SRC_URI += "file://0101-media-v4l-Support-3-planar-YUV-444-10bpc-pixel-forma.patch"
SRC_URI += "file://0102-media-v4l-Support-3-planar-YUV444P-8bpc-pixel-format.patch"
SRC_URI += "file://0103-dmaengine-xilinx-frmbuf-Add-support-for-3-planar-YUV.patch"
SRC_URI += "file://0104-dmaengine-xilinx-frmbuf-Corrected-error-checking-con.patch"
SRC_URI += "file://0105-media-xilinx-dma-Enable-use-of-Framebuffer-Write-IP-.patch"
SRC_URI += "file://0106-v4l-xilinx-dma-Remove-colorspace-check-in-xvip_dma_v.patch"
SRC_URI += "file://0107-media-xilinx-Improve-pipeline-management-code.patch"
SRC_URI += "file://0108-media-v4l-Group-Xilinx-downstream-formats.patch"
SRC_URI += "file://0109-v4l-xilinx-demosaic-driver-support-for-xilinx-video-.patch"
SRC_URI += "file://0110-v4l-xilinx-vpss-scaler-driver-support-for-xilinx-vps.patch"
SRC_URI += "file://0111-media-v4l2-ioctl-Add-12-and-16-bpc-RGB-pixel-formats.patch"
SRC_URI += "file://0112-media-v4l2-ioctl-Add-YUV-12bit-and-16bit-pixel-forma.patch"
SRC_URI += "file://0113-media-v4l2-ioctl-Use-correct-fourcc-for-YUV444-10bit.patch"
SRC_URI += "file://0114-media-v4l2-ioctl-Add-YUV444-12bit-and-16bit-pixel-fo.patch"
SRC_URI += "file://0115-media-videodev2.h-add-Hybrid-Log-Gamma-transfer-func.patch"
SRC_URI += "file://0116-media-videodev2.h-Add-control-type-for-HDR.patch"
SRC_URI += "file://0117-v4l-xilinx-Driver-support-for-Xilinx-UHDSDI-Rx-subsy.patch"
SRC_URI += "file://0118-v4l-xilinx-gamma-initial-driver-support-for-xilinx-v.patch"
SRC_URI += "file://0119-v4l-xilinx-vpss-csc-driver-support-for-xilinx-vpss-c.patch"
SRC_URI += "file://0120-drivers-media-Customized-adv7511-for-Xylon-LogiCVC-d.patch"
SRC_URI += "file://0121-media-Add-new-dt-bindings-vf_codes-for-supported-for.patch"
SRC_URI += "file://0122-v4l-xilinx-dma-Update-video-format-descriptor.patch"
SRC_URI += "file://0123-v4l-xilinx-dma-Add-multi-planar-support.patch"
SRC_URI += "file://0124-v4l-xilinx-dma-Fix-v4l2-enumeration-callback-for-mul.patch"
SRC_URI += "file://0125-v4l-xilinx-dma-Add-scaling-and-padding-factor-functi.patch"
SRC_URI += "file://0126-v4l-xilinx-dma-Get-scaling-and-padding-factor-to-cal.patch"
SRC_URI += "file://0127-v4l-xilinx-tpg-Add-YUV-420-media-bus-format-support-.patch"
SRC_URI += "file://0128-v4l-xilinx-dma-Fix-sizeimage-calculation.patch"
SRC_URI += "file://0129-v4l-xilinx-dma-Handle-10-bit-format-calucations-for-.patch"
SRC_URI += "file://0130-v4l-xilinx-dma-Fix-bytes-per-line-calculation.patch"
SRC_URI += "file://0131-v4l-xilinx-Add-BGR-color-format-support.patch"
SRC_URI += "file://0132-media-xilinx-vip-Correct-the-fourcc-code-for-BGRX8-f.patch"
SRC_URI += "file://0133-v4l-xilinx-dma-Add-XV15-and-XV20-contiguous-format-s.patch"
SRC_URI += "file://0134-xilinx-v4l2-dma-Bug-fix-in-single-plane-support.patch"
SRC_URI += "file://0135-v4l-xilinx-dma-Add-interlaced-support.patch"
SRC_URI += "file://0136-v4l-xilinx-dma-Terminate-DMA-when-media-pipeline-fai.patch"
SRC_URI += "file://0137-xilinx-v4l2-dma-Add-multiple-output-support.patch"
SRC_URI += "file://0138-xilinx-v4l-dma-Multi-threading-issue.patch"
SRC_URI += "file://0139-xilinx-v4l-dma-Fix-bug-in-calculating-interlaced-hei.patch"
SRC_URI += "file://0140-v4l-xilinx-Driver-support-for-Xilinx-AXI4-Stream-Swi.patch"
SRC_URI += "file://0141-media-platform-xilinx-Fix-Kconfig-indentation.patch"
SRC_URI += "file://0142-xilinx-v4l-dma-Add-ioctl-operations-for-v4l2-output-.patch"
SRC_URI += "file://0143-xilinx-v4l-dma-Add-DMA-input-direction-support.patch"
SRC_URI += "file://0144-xilinx-v4l-dma-Add-format-enumeration-for-output.patch"
SRC_URI += "file://0145-v4l-xilinx-scd-New-Scene-Change-Detection-driver.patch"
SRC_URI += "file://0146-platform-xilinx-Add-mem-to-mem-Multi-Scaler-driver-X.patch"
SRC_URI += "file://0147-xilinx-v4l-mem2mem-Initial-version-of-driver.patch"
SRC_URI += "file://0148-v4l-dma-Use-media-graph-traversal-to-stream-on-off-s.patch"
SRC_URI += "file://0149-v4l-xilinx-tpg-Add-check-for-max-width-and-height.patch"
SRC_URI += "file://0150-xilinx-v4l-dma-Remove-unused-function-definition.patch"
SRC_URI += "file://0151-xilinx-v4l-dma-In-case-of-error-xvip_pipeline_start_.patch"
SRC_URI += "file://0152-xilinx-v4l-vipp-Avoid-decrementing-refcount-of-a-nod.patch"
SRC_URI += "file://0153-xilinx-v4l-dma-Invoke-s_power-function-of-subdevice.patch"
SRC_URI += "file://0154-media-ov5640-fix-get_light_freq-on-auto.patch"
SRC_URI += "file://0155-xilinx-v4l-dma-Stop-subdevs-in-reverse-order-of-star.patch"
SRC_URI += "file://0156-media-xilinx-tpg-Add-pixel-per-clock-dt-support.patch"
SRC_URI += "file://0157-media-xilinx-tpg-v4l-subdevice-controls-to-set-fps.patch"
SRC_URI += "file://0158-media-xilinx-vtc-Dynamically-calculate-pixel-clock.patch"
SRC_URI += "file://0159-media-xilinx-tpg-dt-pixel-per-clock-validate.patch"
SRC_URI += "file://0160-v4l-xilinx-dma-Add-control-for-low-latency.patch"
SRC_URI += "file://0161-v4l-xilinx-dma-Add-s_ctrl-ioctl-for-low-latency-capt.patch"
SRC_URI += "file://0162-v4l-xilinx-vip-Add-12-and-16-bpc-RAW-and-RGB-color-f.patch"
SRC_URI += "file://0163-media-xilinx-tpg-Add-support-for-v8.0.patch"
SRC_URI += "file://0164-v4l-xilinx-tpg-Use-10bit-media-bus-codes.patch"
SRC_URI += "file://0165-v4l-xilinx-vip-Add-YUV-10bit-media-bus-formats.patch"
SRC_URI += "file://0166-v4l-xilinx-vip-Add-scaling-and-padding-factor-for-XY.patch"
SRC_URI += "file://0167-v4l-xilinx-vip-Use-correct-media-bus-code-for-RGB-10.patch"
SRC_URI += "file://0168-v4l-xilinx-vip-Fix-stride-calculation.patch"
SRC_URI += "file://0169-v4l-xilinx-vip-Add-YUV444-12bit-and-16bit-formats.patch"
SRC_URI += "file://0170-v4l-xilinx-vip-Keep-NV16-first-in-vip-table.patch"
SRC_URI += "file://0171-v4l-xilinx-vip-Use-the-right-media-code-for-422-16bi.patch"
SRC_URI += "file://0172-dma-xilinx-Disable-low-latency-capture-in-file-ops-o.patch"
SRC_URI += "file://0173-v4l-xilinx-dma-Prevent-divide-by-zero-error.patch"
SRC_URI += "file://0174-v4l-xilinx-vipp-move-xvip_entity_start_stop-to-xilin.patch"
SRC_URI += "file://0175-v4l-xilinx-vipp-use-async-list-for-start-and-stop.patch"
SRC_URI += "file://0176-v4l-xilinx-vipp-do-enabling-in-the-dependency-check.patch"
SRC_URI += "file://0177-v4l-xilinx-vipp-remove-a-loop-for-graph-start-stop.patch"
SRC_URI += "file://0178-v4l-xilinx-vipp-Change-xvip_entity_start-stop-to-tak.patch"
SRC_URI += "file://0179-v4l-xilinx-vipp-Remove-set-streaming-on-subdev.patch"
SRC_URI += "file://0180-v4l-xilinx-tpg-Don-t-read-version-if-HLS-IP.patch"
SRC_URI += "file://0181-v4l-xilinx-dma-Add-control-handler-to-v4l2-device.patch"
SRC_URI += "file://0182-v4l-xilinx-Driver-support-for-Xilinx-DP-Rx-subsystem.patch"
SRC_URI += "file://0183-v4l-xilinx-vipp-Perform-stream-start-stop-at-pipelin.patch"
SRC_URI += "file://0184-v4l-xilinx-dma-Remove-struct-xventity_list.patch"
SRC_URI += "file://0185-v4l-xilinx-vip-Fix-V4L2_PIX_FMT_XY10-bpl_factor.patch"
SRC_URI += "file://0186-v4l-xilinx-vip-Fix-CHECKED_RETURN-warnings.patch"
SRC_URI += "file://0187-v4l-xilinx-vip-Fix-UNINIT-warnings.patch"
SRC_URI += "file://0188-v4l-xilinx-dma-Fix-OVERFLOW_BEFORE_WIDEN-warnings.patch"
SRC_URI += "file://0189-media-xilinx-vtc-Fix-warning-for-OVERFLOW_BEFORE_WID.patch"
SRC_URI += "file://0190-v4l-xilinx-tpg-Fix-warnings-for-NULL_RETURNS.patch"
SRC_URI += "file://0191-v4l-xilinx-tpg-Fix-warnings-for-CHECKED_RETURN.patch"
SRC_URI += "file://0192-media-i2c-Add-ON-Semiconductor-AP1302-ISP-driver.patch"
SRC_URI += "file://0193-v4l-xilinx-Driver-support-for-Xilinx-AXI4-Stream-Bro.patch"
SRC_URI += "file://0194-v4l2-xilinx-vipp-Allow-reserving-memory-and-DMA-usin.patch"
SRC_URI += "file://0195-v4l-xilinx-xcsi2rxss-Add-support-for-YUV-420-8bpc.patch"
SRC_URI += "file://0196-v4l-xilinx-csi2rxss-Remove-downstream-controls.patch"
SRC_URI += "file://0197-v4l-xilinx-xcsi2rxss-Fix-warnings-for-NULL_RETURNS.patch"
SRC_URI += "file://0198-v4l2-xilinx-dma-Align-width-as-per-underlying-DMA-pr.patch"
SRC_URI += "file://0199-v4l-xilinx-vip-Fix-bpl_factor-values-for-Bayer-forma.patch"
SRC_URI += "file://0200-v4l-xilinx-vip-Fix-incorrect-media-bus-format-code.patch"
SRC_URI += "file://0201-v4l-xilinx-vip-Add-10-bpp-Bayer-formats-support.patch"
SRC_URI += "file://0202-v4l-xilinx-hdmirx-Add-HDMI-2.1-Rx-subsystem-driver.patch"
SRC_URI += "file://0203-v4l-xilinx-vip-Allow-media-pipeline-enable-with-sing.patch"
SRC_URI += "file://0204-v4l-xilinx-vip-Add-support-for-3-planar-YUV444-8bpc.patch"
SRC_URI += "file://0205-v4l-xilinx-dma-Add-support-for-3-planar-YUV444-8bpc-.patch"
SRC_URI += "file://0206-v4l-xilinx-vip-Fix-alignment-to-match-open-parenthes.patch"
SRC_URI += "file://0207-v4l-xilinx-dprx-Add-MMCM-configuration-for-rx_dec_cl.patch"
SRC_URI += "file://0208-drm-xlnx-zynqmp_dpsub-Add-3-planar-YUV444-10bpc-form.patch"
SRC_URI += "file://0209-v4l-xilinx-vip-Support-for-3-planar-YUV444-10bpc-for.patch"
SRC_URI += "file://0210-v4l-xilinx-dprx-Add-unplug-handler-function-in-work-.patch"
SRC_URI += "file://0211-sound-soc-xilinx-Add-ZynqMP-DP-subsystem-audio-drive.patch"
SRC_URI += "file://0212-AsoC-xlnx-add-platform-driver-to-support-SDI-audio.patch"
SRC_URI += "file://0213-ASoC-xlnx-add-pcm-formatter-platform-driver.patch"
SRC_URI += "file://0214-ASoC-xlnx-add-PL-sound-card-support.patch"
SRC_URI += "file://0215-ASoC-xlnx-add-SPDIF-audio-driver.patch"
SRC_URI += "file://0216-ASoC-xlnx-change-I2S-driver-data.patch"
SRC_URI += "file://0217-ASoC-xlnx-Set-dai_fmt-for-hdmi-and-dp-sound-cards.patch"
SRC_URI += "file://0218-sound-soc-xilinx-Added-44.1k-48k-sample-rate-support.patch"
SRC_URI += "file://0219-v4l-xilinx-vip-Support-for-3-planar-YUV444-8bpc-form.patch"
SRC_URI += "file://0220-media-i2c-ap1302-Update-the-min-values-for-ap1302-co.patch"
SRC_URI += "file://0221-sound-soc-xilinx-Remove-using-hdmi_codec_driver.patch"
SRC_URI += "file://0222-ASoC-xlnx-Remove-unnecessary-dependency.patch"
SRC_URI += "file://0223-v4l-xilinx-axis-subsetconv-Add-driver-for-axis-subse.patch"
SRC_URI += "file://0224-sound-soc-xilinx-Correct-channel-status-register-val.patch"
SRC_URI += "file://0225-media-xilinx-Fix-typos-in-Kconfig-RGB2YUV.patch"
SRC_URI += "file://0226-v4l-xilinx-dma-Fix-warnings-for-UNINIT.patch"
SRC_URI += "file://0227-ASoC-xilinx-Sync-up-with-upstream-version.patch"
SRC_URI += "file://0228-v4l-xilinx-dprx-Fix-dtg-enable-register-update.patch"
SRC_URI += "file://0229-v4l-xilinx-multi-scaler-Fix-warnings-for-unchecked-r.patch"
SRC_URI += "file://0230-v4l-xilinx-dprx-Add-support-for-static-HDR.patch"
SRC_URI += "file://0231-v4l-xilinx-dprx-Enable-audio-to-receive-infoframes-w.patch"
SRC_URI += "file://0232-sound-xilinx-pcm-Fixes-NULL-pointer-dereference-whil.patch"
SRC_URI += "file://0233-sound-xilinx-pcm-Convert-driver-to-use-SPDX-license-.patch"
SRC_URI += "file://0234-v4l-xilinx-dprx-Fix-compilation-error.patch"
SRC_URI += "file://0235-v4l-xlnx-sdirxss-Continue-streaming-on-connecting-af.patch"
SRC_URI += "file://0236-v4l-xlnx-sdirxss-Reset-s_stream-flag-on-STREAMOFF-al.patch"
SRC_URI += "file://0237-v4l-xlnx-sdirxss-Fixed-kernel-doc-warnings.patch"
SRC_URI += "file://0238-v4l-xilinx-sdirxss-No-payload-handling-for-SDI-3G-Mo.patch"
SRC_URI += "file://0239-v4l-xilinx-dma-Fix-back-pressure-on-upstream-entitie.patch"
SRC_URI += "file://0240-v4l-xilinx-sdirxss-HFR-handling-for-12G-mode.patch"
SRC_URI += "file://0241-v4l-xilinx-Add-HDCP1X-rx-driver.patch"
SRC_URI += "file://0242-v4l-xilinx-dprx-Add-HDCP1X-support.patch"
SRC_URI += "file://0243-drm-xlnx-dp-share-the-dp-registers-to-dp-audio-drive.patch"
SRC_URI += "file://0244-ASoC-xilinx-xlnx_formatter_pcm-Handle-sysclk-setting.patch"
SRC_URI += "file://0245-dmaengine-xilinx-Add-axidmatest-test-client-code.patch"
SRC_URI += "file://0246-dmaengine-xilinx-Add-vdmatest-test-client-code.patch"
SRC_URI += "file://0247-dmaengine-xilinx-dpdma-Add-support-for-cyclic-dma-mo.patch"
SRC_URI += "file://0248-dmaengine-xilinx-dpdma-Fix-race-condition-in-vsync-I.patch"
SRC_URI += "file://0249-dmaengine-xilinx_dma-fix-xilinx_dma_child_probe-retu.patch"
SRC_URI += "file://0250-staging-net-xilinx-add-Xilinx-TSN-driver.patch"
SRC_URI += "file://0251-staging-xilinx-tsn-pass-the-dst-buffer-to-of_get_mac.patch"
SRC_URI += "file://0252-driver-soc-xilinx-fix-memory-leak-in-xlnx_add_cb_for.patch"
SRC_URI += "file://0253-dmaengine-zynqmp_dma-Sync-DMA-and-coherent-masks.patch"
SRC_URI += "file://0254-sound-soc-xilinx-program-audio-control-register-on-a.patch"
SRC_URI += "file://0255-clk-xilinx-vcu-unregister-pll_post-only-if-registere.patch"
SRC_URI += "file://0256-firmware-xilinx-Update-the-zynqmp_pm_load_pdi-API.patch"
SRC_URI += "file://0257-firmware-xilinx-get-platform-information.patch"
SRC_URI += "file://0258-firmware-xilinx-feature-check-for-Versal-platform.patch"
SRC_URI += "file://0259-firmware-xilinx-SHA-support-related-interface-API.patch"
SRC_URI += "file://0260-firmware-xilinx-AES-interface-api-support-for-Versal.patch"
SRC_URI += "file://0261-firmware-xilinx-RSA-interface-api-support-for-Versal.patch"
SRC_URI += "file://0262-ASoC-xlnx-Fix-SDI-Audio-driver-probe-failure.patch"
SRC_URI += "file://0263-misc-xilinx-ai-engine-Add-partition-context-clear-io.patch"
SRC_URI += "file://0264-firmware-xilinx-Add-support-for-Xilsem-scan-operatio.patch"
SRC_URI += "file://0265-media-xilinx-Add-for-ISP-pipeline-driver.patch"
SRC_URI += "file://0266-v4l-xilinx-dprx-Correct-the-XDPRX_HPD_INTR_MASK-macr.patch"
SRC_URI += "file://0267-staging-Replace-all-spi-chip_select-and-spi-cs_gpiod.patch"
SRC_URI += "file://0268-firmware-xilinx-updated-error-code.patch"
SRC_URI += "file://0269-fpga-zynq-Add-parse_header-ops-support.patch"
SRC_URI += "file://0270-firmware-Convert-deprecated-strncpy-to-strscpy.patch"
SRC_URI += "file://0271-firmware-zynqmp-Mark-some-function-as-inline.patch"
SRC_URI += "file://0272-staging-xilinx_hdcp-Add-HDCP-common-functionality-fo.patch"
SRC_URI += "file://0273-ASoC-xlnx-Fix-audio-support-for-SD-SDI-resolutions.patch"
SRC_URI += "file://0274-v4l-xilinx-multi-scaler-fix-corruption-for-YUV422-8-.patch"
SRC_URI += "file://0275-firmware-xilinx-update-the-conflicting-EEMI-API-IDs.patch"
SRC_URI += "file://0276-sound-soc-xilinx-Fix-long-driver-name.patch"
SRC_URI += "file://0277-Revert-fpga-region-Adds-runtime-PM-support.patch"
SRC_URI += "file://0278-firmware-xilinx-Fixed-XilSEM-SMC-range.patch"
SRC_URI += "file://0279-firmware-xilinx-znqmp_pm_init_finalize-as-late_initc.patch"
SRC_URI += "file://0280-firmware-xilinx-add-bitmask-support-for-get_op_char-.patch"
SRC_URI += "file://0281-firmware-zynqmp-Add-support-to-handle-IPI-CRC-failur.patch"
SRC_URI += "file://0282-firmware-xilinx-Expand-feature-check-to-support-all-.patch"
SRC_URI += "file://0283-firmware-xilinx-Update-xlnx_get_crypto_dev_data.patch"
SRC_URI += "file://0284-ASoC-xlnx-Fixed-request-region-error-of-I2S.patch"
SRC_URI += "file://0285-misc-xilinx-ai-engine-Add-shim-dma-config-in-transac.patch"
SRC_URI += "file://0286-v4l-xilinx-multiscaler-cleanup-VIDEO_DEV-dependencie.patch"
SRC_URI += "file://0287-v4l-xilinx-dprx-Add-check-for-status1-in-irq_handler.patch"
SRC_URI += "file://0288-soc-xilinx-Add-error-message-for-invalid-payload-rec.patch"
SRC_URI += "file://0289-soc-xilinx-znqmp_pm_init_finalize-as-late_initcall-o.patch"
SRC_URI += "file://0290-v4l2-xilinx-dprx-Move-the-interrupt-handlers-to-work.patch"
SRC_URI += "file://0291-Revert-soc-xilinx-znqmp_pm_init_finalize-as-late_ini.patch"
SRC_URI += "file://0292-Revert-firmware-xilinx-znqmp_pm_init_finalize-as-lat.patch"
SRC_URI += "file://0293-media-ap1302-fix-Kconfig-VIDEO_V4L2-VIDEO_DEV.patch"
SRC_URI += "file://0294-media-i2c-ap1302-make-ap1302_remove-return-void.patch"
SRC_URI += "file://0295-v4l-xilinx-xcsi2rxss-Fix-YUV-420-8bpc-support.patch"
